*-----------------------------------------------------------------------
      SUBROUTINE SGLAXR(RX1,RY1,RX2,RY2,ITYPE,INDEX,ICOLOR)
      LOGICAL LFCATR

      CALL SWQFCC(LFCATR)
      IF(.NOT.LFCATR) THEN
        CALL MSGDMP('M','SGLAXR','FULL COLOR MODE IS NOT SUPPORTED.')
      END IF

      IF (ITYPE.EQ.0) THEN
        CALL MSGDMP('M','SGLAXR','LINETYPE IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.EQ.0) THEN
        CALL MSGDMP('M','SGLAXR','LINE INDEX IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.LT.0) THEN
        CALL MSGDMP('E','SGLAXR','LINE INDEX IS INVALID.')
      END IF

      CALL SWSFCM(.TRUE.)
      CALL SWSLCL(ICOLOR)

      CALL SZLAOP(ITYPE,INDEX)
      CALL SZLAZR(RX1,RY1,RX2,RY2)
      CALL SZLACL

      CALL SWSFCM(.FALSE.)

      END
